View Issue Details

IDProjectCategoryView StatusLast Update
0006574Talerwallet (TS core)public2020-10-03 14:08
ReporterFlorian Dold Assigned ToFlorian Dold  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006574: make sure database commits are atomic
Description... by first dumping the database to a unique temp file and then atomically moving it to the target file name.
TagsNo tags attached.

Activities

Florian Dold

2020-09-07 10:01

manager   ~0016895

We now write to a temporary file and then rename(3) the temp file to the actual database file. This guarantees atomicity of updating the DB file.

Issue History

Date Modified Username Field Change
2020-09-06 11:55 Florian Dold New Issue
2020-09-06 11:55 Florian Dold Status new => assigned
2020-09-06 11:55 Florian Dold Assigned To => Florian Dold
2020-09-07 10:01 Florian Dold Status assigned => resolved
2020-09-07 10:01 Florian Dold Resolution open => fixed
2020-09-07 10:01 Florian Dold Note Added: 0016895
2020-10-03 14:08 Christian Grothoff Fixed in Version => 0.8